## python-congressclient 1.0.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
Babel>=1.3
cliff>=1.7.0  # Apache-2.0
oslo.i18n>=1.0.0  # Apache-2.0
python-keystoneclient>=0.11.1
python-openstackclient>=0.3.0
requests>=2.2.0,!=2.4.0
six>=1.7.0

=== debian/changelog ===
python-congressclient (1.0.2-2~cloud0) trusty-liberty; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 08 Oct 2015 15:20:20 +0000

python-congressclient (1.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 May 2015 20:49:14 +0000

python-congressclient (1.0.2-1) experimental; urgency=medium

  * Initial release. (Closes: #778789).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Feb 2015 19:36:19 +0100

=== debian/control ===
Source: python-congressclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-cliff,
                     python-coverage,
                     python-fixtures,
                     python-hacking,
                     python-keystoneclient (>= 1:0.11.1),
                     python-mock,
                     python-openstackclient,
                     python-oslo.i18n (>= 1.0.0),
                     python-oslosphinx (>= 2.2.0.0),
                     python-requests,
                     python-six,
                     python-testscenarios,
                     python-testtools,
                     python-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-congressclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-congressclient.git
Homepage: https://github.com/stackforge/python-congressclient

Package: python-congressclient
Architecture: all
Depends: python-babel,
         python-cliff,
         python-keystoneclient (>= 1:0.11.1),
         python-openstackclient,
         python-oslo.i18n (>= 1.0.0),
         python-pbr,
         python-requests,
         python-six,
         ${misc:Depends},
         ${python:Depends},
Description: client for the open policy framework for the cloud - Python 2.x
 Congress is an open policy framework for the cloud. With Congress, a cloud
 operator can declare, monitor, enforce, and audit "policy" in a heterogeneous
 cloud environment. Congress get inputs from a cloud's various cloud services;
 for example in Openstack, Congress fetches information about VMs from Nova,
 and network state from Neutron, etc. Congress then feeds input data from those
 services into its policy engine where Congress verifies that the cloud's
 actual state abides by the cloud operator's policies. Congress is designed to
 work with any policy and any cloud service.
 .
 This package provides a cli and a Python 2.x client module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stackforge/python-congressclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
		dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-congressclient; \
	done
	rm -rf $(CURDIR)/debian/python*-congressclient/usr/lib/python*/dist-packages/*.pth

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-congressclient/usr/share/doc/python-congressclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-congressclient 1.2.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-congressclient (1.2.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:21:36 +0000

python-congressclient (1.2.3-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.

  [ Corey Bryant ]
  * d/control, d/rules, d/python-congressclient.doc-base: Add
    python-congressclient-doc binary package.
  * d/control, d/rules: Add Python3 binary package.
  * d/control: Update uploaders.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 11:45:30 +0100

python-congressclient (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 22:26:10 +0100

python-congressclient (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:45:43 +0000

python-congressclient (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Update dependencies.
  * Add myself to Uploaders field

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Tue, 04 Aug 2015 11:15:33 +0300

=== debian/control ===
Source: python-congressclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
           David Della Vecchia <ddv@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-openstackclient,
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-requests (>= 2.8.1),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python3-babel,
                     python3-cliff (>= 1.15.0),
                     python3-coverage,
                     python3-fixtures (>= 1.3.1),
                     python3-hacking,
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.3),
                     python3-openstackclient,
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 1.14.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-requests (>= 2.8.1),
                     python3-six (>= 1.9.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-congressclient.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-congressclient.git
Homepage: https://github.com/stackforge/python-congressclient

Package: python-congressclient
Architecture: all
Depends: python-babel,
         python-cliff (>= 1.15.0),
         python-keystoneclient (>= 1:1.6.0),
         python-openstackclient,
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.4.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: client for the open policy framework for the cloud - Python 2.x
 Congress is an open policy framework for the cloud. With Congress, a cloud
 operator can declare, monitor, enforce, and audit "policy" in a heterogeneous
 cloud environment. Congress get inputs from a cloud's various cloud services;
 for example in Openstack, Congress fetches information about VMs from Nova,
 and network state from Neutron, etc. Congress then feeds input data from those
 services into its policy engine where Congress verifies that the cloud's
 actual state abides by the cloud operator's policies. Congress is designed to
 work with any policy and any cloud service.
 .
 This package provides a cli and a Python 2.x client module.

Package: python3-congressclient
Architecture: all
Depends: python3-babel,
         python3-cliff (>= 1.15.0),
         python3-keystoneclient (>= 1:1.6.0),
         python3-openstackclient,
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 1.14.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.4.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: client for the open policy framework for the cloud - Python 3.x
 Congress is an open policy framework for the cloud. With Congress, a cloud
 operator can declare, monitor, enforce, and audit "policy" in a heterogeneous
 cloud environment. Congress get inputs from a cloud's various cloud services;
 for example in Openstack, Congress fetches information about VMs from Nova,
 and network state from Neutron, etc. Congress then feeds input data from those
 services into its policy engine where Congress verifies that the cloud's
 actual state abides by the cloud operator's policies. Congress is designed to
 work with any policy and any cloud service.
 .
 This package provides a cli and a Python 3.x client module.

Package: python-congressclient-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: client for the open policy framework for the cloud - doc
 Congress is an open policy framework for the cloud. With Congress, a cloud
 operator can declare, monitor, enforce, and audit "policy" in a heterogeneous
 cloud environment. Congress get inputs from a cloud's various cloud services;
 for example in Openstack, Congress fetches information about VMs from Nova,
 and network state from Neutron, etc. Congress then feeds input data from those
 services into its policy engine where Congress verifies that the cloud's
 actual state abides by the cloud operator's policies. Congress is designed to
 work with any policy and any cloud service.
 .
 This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,24 @@
 #!/usr/bin/make -f
 
 PYTHONS:=$(shell pyversions -vr)
-#PYTHON3S:=$(shell py3versions -vr)
+PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/stackforge/python-congressclient.git
+UPSTREAM_GIT = git://github.com/openstack/python-congressclient.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-		dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
+		dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_install:
 	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-congressclient; \
+	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-congressclient; \
 	done
 	rm -rf $(CURDIR)/debian/python*-congressclient/usr/lib/python*/dist-packages/*.pth
 
@@ -38,7 +42,7 @@
 endif
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-congressclient/usr/share/doc/python-congressclient/html
+	sphinx-build -b html doc/source debian/python-congressclient-doc/usr/share/doc/python-congressclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils

## python-congressclient 1.3.0

=== debian/changelog ===
python-congressclient (1.3.0-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 12 Sep 2016 23:07:20 +0000

python-congressclient (1.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to new one

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 18:28:41 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -21,15 +21,15 @@
                      python-coverage,
                      python-fixtures (>= 1.3.1),
                      python-hacking,
-                     python-keystoneclient (>= 1:1.6.0),
-                     python-mock (>= 1.3),
+                     python-keystoneclient (>= 1:1.7.0),
+                     python-mock (>= 2.0),
                      python-openstackclient,
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.9.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -39,21 +39,21 @@
                      python3-coverage,
                      python3-fixtures (>= 1.3.1),
                      python3-hacking,
-                     python3-keystoneclient (>= 1:1.6.0),
-                     python3-mock (>= 1.3),
+                     python3-keystoneclient (>= 1:1.7.0),
+                     python3-mock (>= 2.0),
                      python3-openstackclient,
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.5.0),
-                     python3-requests (>= 2.8.1),
+                     python3-oslo.utils (>= 3.9.0),
+                     python3-requests (>= 2.10.0),
                      python3-six (>= 1.9.0),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      python3-webob,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-congressclient.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-congressclient.git
 Homepage: https://github.com/stackforge/python-congressclient
@@ -62,14 +62,14 @@
 Architecture: all
 Depends: python-babel,
          python-cliff (>= 1.15.0),
-         python-keystoneclient (>= 1:1.6.0),
+         python-keystoneclient (>= 1:1.7.0),
          python-openstackclient,
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.4.0),
+         python-oslo.utils (>= 3.9.0),
          python-pbr (>= 1.8),
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
@@ -89,14 +89,14 @@
 Architecture: all
 Depends: python3-babel,
          python3-cliff (>= 1.15.0),
-         python3-keystoneclient (>= 1:1.6.0),
+         python3-keystoneclient (>= 1:1.7.0),
          python3-openstackclient,
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.4.0),
+         python3-oslo.utils (>= 3.9.0),
          python3-pbr (>= 1.8),
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},

## python-congressclient 1.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-congressclient (1.5.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 24 Feb 2017 22:06:49 +0000

python-congressclient (1.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 10:39:16 +0200

python-congressclient (1.5.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 09:56:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Ivan Udovichenko <iudovichenko@mirantis.com>,
            David Della Vecchia <ddv@canonical.com>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -19,15 +19,15 @@
 Build-Depends-Indep: python-babel,
                      python-cliff (>= 1.15.0),
                      python-coverage,
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking,
-                     python-keystoneclient (>= 1:1.7.0),
+                     python-keystoneauth1 (>= 2.10.0),
                      python-mock (>= 2.0),
                      python-openstackclient,
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.9.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
@@ -37,15 +37,15 @@
                      python3-babel,
                      python3-cliff (>= 1.15.0),
                      python3-coverage,
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-hacking,
-                     python3-keystoneclient (>= 1:1.7.0),
+                     python3-keystoneauth1 (>= 2.10.0),
                      python3-mock (>= 2.0),
                      python3-openstackclient,
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.9.0),
+                     python3-oslo.utils (>= 3.16.0),
                      python3-requests (>= 2.10.0),
                      python3-six (>= 1.9.0),
                      python3-testscenarios,
@@ -54,20 +54,20 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-congressclient.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-congressclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-congressclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-congressclient -b debian/newton
 Homepage: https://github.com/stackforge/python-congressclient
 
 Package: python-congressclient
 Architecture: all
 Depends: python-babel,
          python-cliff (>= 1.15.0),
-         python-keystoneclient (>= 1:1.7.0),
+         python-keystoneauth1 (>= 2.10.0),
          python-openstackclient,
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.9.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
@@ -89,12 +89,12 @@
 Architecture: all
 Depends: python3-babel,
          python3-cliff (>= 1.15.0),
-         python3-keystoneclient (>= 1:1.7.0),
+         python3-keystoneauth1 (>= 2.10.0),
          python3-openstackclient,
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.9.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),

## python-congressclient 1.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD
cliff>=2.3.0 # Apache-2.0
keystoneauth1>=2.18.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-congressclient (1.6.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 24 Jan 2017 16:59:27 +0000

python-congressclient (1.6.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 11:31:27 -0500

python-congressclient (1.5.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 14:32:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: python-congressclient
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ivan Udovichenko <iudovichenko@mirantis.com>,
            David Della Vecchia <ddv@canonical.com>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -16,46 +17,51 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
-                     python-cliff (>= 1.15.0),
-                     python-coverage,
+Build-Depends-Indep: python-babel (>= 2.3.4),
+                     python-cliff (>= 2.3.0),
+                     python-coverage (>= 4.0),
                      python-fixtures (>= 3.0.0),
-                     python-hacking,
-                     python-keystoneauth1 (>= 2.10.0),
+                     python-hacking (>= 0.10),
+                     python-keystoneauth1 (>= 2.18.0),
                      python-mock (>= 2.0),
                      python-openstackclient,
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 1.14.0),
+                     python-oslo.log (>= 3.11.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
-                     python-testscenarios,
+                     python-sphinx (>= 1.2.1),
+                     python-testrepository (>= 0.0.18),
+                     python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python-webob,
-                     python3-babel,
-                     python3-cliff (>= 1.15.0),
-                     python3-coverage,
+                     python-webob (>= 1.6.0),
+                     python3-babel (>= 2.3.4),
+                     python3-cliff (>= 2.3.0),
+                     python3-coverage (>= 4.0),
                      python3-fixtures (>= 3.0.0),
-                     python3-hacking,
-                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-hacking (>= 0.10),
+                     python3-keystoneauth1 (>= 2.18.0),
                      python3-mock (>= 2.0),
                      python3-openstackclient,
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.log (>= 1.14.0),
+                     python3-oslo.log (>= 3.11.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslosphinx (>= 4.7.0),
                      python3-requests (>= 2.10.0),
                      python3-six (>= 1.9.0),
-                     python3-testscenarios,
+                     python3-sphinx (>= 1.2.1),
+                     python3-testrepository (>= 0.0.18),
+                     python3-testscenarios (>= 0.4),
                      python3-testtools (>= 1.4.0),
-                     python3-webob,
+                     python3-webob (>= 1.6.0),
                      subunit,
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-congressclient?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-congressclient -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-congressclient
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-congressclient
 Homepage: https://github.com/stackforge/python-congressclient
 
 Package: python-congressclient
@@ -72,7 +78,7 @@
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: client for the open policy framework for the cloud - Python 2.x
  Congress is an open policy framework for the cloud. With Congress, a cloud
  operator can declare, monitor, enforce, and audit "policy" in a heterogeneous
@@ -99,7 +105,7 @@
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Description: client for the open policy framework for the cloud - Python 3.x
  Congress is an open policy framework for the cloud. With Congress, a cloud
  operator can declare, monitor, enforce, and audit "policy" in a heterogeneous

## python-congressclient 1.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
cliff>=2.8.0 # Apache-2.0
keystoneauth1>=3.0.1 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-congressclient (1.8.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 09 Aug 2017 23:16:23 +0000

python-congressclient (1.8.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Aug 2017 13:56:26 -0400

=== debian/control ===
--- 
+++ 
@@ -11,52 +11,48 @@
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-babel (>= 2.3.4),
-                     python-cliff (>= 2.3.0),
+                     python-cliff (>= 2.8.0),
                      python-coverage (>= 4.0),
                      python-fixtures (>= 3.0.0),
-                     python-hacking (>= 0.10),
-                     python-keystoneauth1 (>= 2.18.0),
+                     python-hacking (>= 0.12.0),
+                     python-keystoneauth1 (>= 3.0.1),
                      python-mock (>= 2.0),
                      python-openstackclient,
+                     python-openstackdocstheme (>= 1.11.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
+                     python-oslo.log (>= 3.22.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
                      python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
                      python-sphinx (>= 1.2.1),
                      python-testrepository (>= 0.0.18),
-                     python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python-webob (>= 1.6.0),
                      python3-babel (>= 2.3.4),
-                     python3-cliff (>= 2.3.0),
+                     python3-cliff (>= 2.8.0),
                      python3-coverage (>= 4.0),
                      python3-fixtures (>= 3.0.0),
-                     python3-hacking (>= 0.10),
-                     python3-keystoneauth1 (>= 2.18.0),
+                     python3-hacking (>= 0.12.0),
+                     python3-keystoneauth1 (>= 3.0.1),
                      python3-mock (>= 2.0),
                      python3-openstackclient,
+                     python3-openstackdocstheme (>= 1.11.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.log (>= 3.11.0),
+                     python3-oslo.log (>= 3.22.0),
                      python3-oslo.serialization (>= 1.10.0),
                      python3-oslo.utils (>= 3.18.0),
-                     python3-oslosphinx (>= 4.7.0),
                      python3-requests (>= 2.10.0),
                      python3-six (>= 1.9.0),
                      python3-sphinx (>= 1.2.1),
                      python3-testrepository (>= 0.0.18),
-                     python3-testscenarios (>= 0.4),
                      python3-testtools (>= 1.4.0),
-                     python3-webob (>= 1.6.0),
                      subunit,
                      testrepository
 Standards-Version: 3.9.8
@@ -67,14 +63,14 @@
 Package: python-congressclient
 Architecture: all
 Depends: python-babel,
-         python-cliff (>= 1.15.0),
-         python-keystoneauth1 (>= 2.10.0),
+         python-cliff (>= 2.8.0),
+         python-keystoneauth1 (>= 3.0.1),
          python-openstackclient,
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 1.14.0),
+         python-oslo.log (>= 1.22.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.utils (>= 3.16.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
          ${misc:Depends},
@@ -94,14 +90,14 @@
 Package: python3-congressclient
 Architecture: all
 Depends: python3-babel,
-         python3-cliff (>= 1.15.0),
-         python3-keystoneauth1 (>= 2.10.0),
+         python3-cliff (>= 2.8.0),
+         python3-keystoneauth1 (>= 3.0.1),
          python3-openstackclient,
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.log (>= 1.14.0),
+         python3-oslo.log (>= 1.22.0),
          python3-oslo.serialization (>= 1.10.0),
          python3-oslo.utils (>= 3.16.0),
-         python3-pbr (>= 1.8),
+         python3-pbr (>= 2.0.0),
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
		dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-congressclient-doc/usr/share/doc/python-congressclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-congressclient 1.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
cliff!=2.9.0,>=2.8.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
six>=1.10.0 # MIT

=== debian/changelog ===
python-congressclient (1.9.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 10:15:32 -0500

=== debian/control ===
Source: python-congressclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 David Della Vecchia <ddv@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-cliff (>= 2.8.0),
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-keystoneauth1 (>= 3.3.0),
 python-mock (>= 2.0.0),
 python-openstackclient,
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.18.0),
 python-requests (>= 2.10.0),
 python-six (>= 1.10.0),
 python-sphinx (>= 1.6.2),
 python-subunit (>= 1.0.0),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient,
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.18.0),
 python3-requests (>= 2.10.0),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.6.2),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-congressclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-congressclient
Homepage: https://github.com/stackforge/python-congressclient

Package: python-congressclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-cliff (>= 2.8.0),
 python-keystoneauth1 (>= 3.3.0),
 python-openstackclient,
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.16.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.10.0),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Description: client for the open policy framework for the cloud - Python 2.x
 Congress is an open policy framework for the cloud. With Congress, a cloud
 operator can declare, monitor, enforce, and audit "policy" in a heterogeneous
 cloud environment. Congress get inputs from a cloud's various cloud services;
 for example in Openstack, Congress fetches information about VMs from Nova,
 and network state from Neutron, etc. Congress then feeds input data from those
 services into its policy engine where Congress verifies that the cloud's
 actual state abides by the cloud operator's policies. Congress is designed to
 work with any policy and any cloud service.
 .
 This package provides a cli and a Python 2.x client module.

Package: python-congressclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client for the open policy framework for the cloud - doc
 Congress is an open policy framework for the cloud. With Congress, a cloud
 operator can declare, monitor, enforce, and audit "policy" in a heterogeneous
 cloud environment. Congress get inputs from a cloud's various cloud services;
 for example in Openstack, Congress fetches information about VMs from Nova,
 and network state from Neutron, etc. Congress then feeds input data from those
 services into its policy engine where Congress verifies that the cloud's
 actual state abides by the cloud operator's policies. Congress is designed to
 work with any policy and any cloud service.
 .
 This package provides the documentation.

Package: python3-congressclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-openstackclient,
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.16.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.10.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: client for the open policy framework for the cloud - Python 3.x
 Congress is an open policy framework for the cloud. With Congress, a cloud
 operator can declare, monitor, enforce, and audit "policy" in a heterogeneous
 cloud environment. Congress get inputs from a cloud's various cloud services;
 for example in Openstack, Congress fetches information about VMs from Nova,
 and network state from Neutron, etc. Congress then feeds input data from those
 services into its policy engine where Congress verifies that the cloud's
 actual state abides by the cloud operator's policies. Congress is designed to
 work with any policy and any cloud service.
 .
 This package provides a cli and a Python 3.x client module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/python-congressclient/tags .*/(\d[\d\.]+)\.tar\.gz
